Bug 480090 - regression: i810/intel driver no longer supports zaphod dual-head mode
regression: i810/intel driver no longer supports zaphod dual-head mode
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-14 18:40 EST by Derek Atkins
Modified: 2009-10-15 15:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-15 15:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Zaphod-mode xorg configuration (1.70 KB, text/plain)
2009-01-14 18:40 EST, Derek Atkins
no flags Details

  None (edit)
Description Derek Atkins 2009-01-14 18:40:39 EST
Created attachment 329053 [details]
Zaphod-mode xorg configuration

Description of problem:

I recently upgraded from Fedora 7 to Fedora 10.  In F7 I was able to run my graphics card in zaphod mode, where I have two monitors attached (the built-in LCD and an external monitor) and each one is an independent screen.  See the attached xorg.conf that implemented that functionality.

Now with the upgrade to F10 I can't reproduce this functionality, and if I attempt to use xrandr gnome moves my panel/desktop over to the external monitor, which is definitely not what I want.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Attempt to use the attached xorg.conf which no longer works for me
2. (X fails to start)
Actual results:

I can only get a single display.

Expected results:

I would like my zaphod mode again.  I need to have two separate monitors that act as separate screens.  Windows supports this mode just fine, and F7 supported it as well.

Additional info:
Comment 1 Jason 2009-08-14 12:43:04 EDT
Same problem here.  Really hope to have this functionality back.
Comment 2 Vedran Miletić 2009-09-21 10:32:12 EDT
Is Fedora 11 or Fedora 12 Snap3 any better in this regard?
Comment 3 Derek Atkins 2009-09-21 11:21:18 EDT
I'm still on F10; haven't been able to upgrade to F11 yet (mostly due to lack of time).  I plan to do the update within 3-4 weeks so I can let you know then if F11 is any better.  Is there any reason to expect that the i810 driver regained zaphod mode capabilities?
Comment 4 Vedran Miletić 2009-09-21 11:52:58 EDT
If I understand what zaphod mode is (that is, extended desktop over two independant displays), then yes. It works just fine on my 965GM laptop.
Comment 5 Derek Atkins 2009-09-21 12:11:32 EDT
Well, I have a 945GM..  And the important part is two *independent* displays, so the LCD is :0.0 and the external VGA is :0.1.  

I can get a single screen over two monitors right now using xrandr, but that's not zaphod mode.  E.g., search for zaphod on http://www.thinkwiki.org/wiki/Xorg_RandR_1.2
Comment 6 Vedran Miletić 2009-10-15 15:06:43 EDT
I checked, this was removed upstream, and it likely won't get back. If it gets back, Fedora will pick it up, but, for now, we can't do much here.

Unfortunately, I have to close this as WONTFIX. I suggest reporting this upstream, even though zaphod mode was removed on purpose.

Note You need to log in before you can comment on or make changes to this bug.